/*
 * Anomalous_Dim.cpp
 *
 *  Created on: May 7, 2014
 *      Author: daniel
 */

#include "Anomalous_Dim.h"


using namespace CuTe;
using namespace NS_Anomalous_Dimension;

std::ostream& NS_Anomalous_Dimension::operator<<(std::ostream& os, const Anomalous_Dimension& AD){
	for(int i=0; i<=AD.get_order(); ++i)
		os << "\t("<<i<<") = " << AD(i);
	os << endl;

	if(AD(0,0)!=0.){
		os << "\t1/(0) = " << AD(0,0);
		for(int i=1; i<=AD.get_order(); ++i)
				os << "\t("<<i<<")/(0) = " << AD(i,0);
		os << endl;
		for(int j=2; j<=AD.get_order(); ++j){
			os << "\t1/(0)^"<<j<<" = " << AD(0,j);
			for(int i=1; i<=AD.get_order(); ++i){
				os << "\t("<<i<<")^"<<j<<" = " << AD(i,j);
			}
			os << endl;
		}
	}

	return os;
}

//
//std::ostream& CuTe::NS_Anomalous_Dimension::operator<<( std::ostream& os, const CuTe::NS_Anomalous_Dimension::_AD_Gamma_PADE& P){
//	os	<<P(1);
//	for(int nf=2; nf<=N_FMAX; ++nf) os	<<" "<<P(nf);
//	return os;
//}
//std::istream& CuTe::NS_Anomalous_Dimension::operator>>( std::istream& is, CuTe::NS_Anomalous_Dimension::_AD_Gamma_PADE& P){
//	vector<double> V(0,0.);
//	double tmp;
//
//	while(!is.eof()){
//		is >> tmp;
//		V.push_back(tmp);
//	}
//	P.init(V);
//
//	return is;
//}
