#ifndef IBAR_G_CONSTANTS_H
#define IBAR_G_CONSTANTS_H

#include "konst.h"


namespace CuTe{
namespace NS_Ibar{
namespace NS_Ibar_G_Constants{


static const double _const_Ibar_g__g_a0_l0_e0_delta_nf0 = 1;
static const double _const_Ibar_g__g_a1_l0_e2_delta_nf0 = -(C_A*zeta_2);
static const double _const_Ibar_g__g_a1_l1_e1_delta_nf0 = (-11*C_A)/3.;
static const double _const_Ibar_g__g_a1_l1_e1_delta_nf1 = 2/3.;
static const double _const_Ibar_g__g_a1_l1_e1_plus0_nf0 = -4*C_A;
static const double _const_Ibar_g__g_a2_l0_e4_delta_nf0 = (C_A2*(4856 - 3618*zeta_2 - 2772*zeta_3 + 2025*zeta_4))/324.;
static const double _const_Ibar_g__g_a2_l0_e4_delta_nf1 = (C_A*(-164 + 135*zeta_2 + 126*zeta_3))/81.;
static const double _const_Ibar_g__g_a2_l0_e4_plus0_nf0 = C_A2*(-808/27. + 28*zeta_3);
static const double _const_Ibar_g__g_a2_l0_e4_plus0_nf1 = (112*C_A)/27.;
static const double _const_Ibar_g__g_a2_l1_e3_delta_nf0 = (-4*C_A2*(8 + 9*zeta_3))/3.;
static const double _const_Ibar_g__g_a2_l1_e3_delta_nf1 = 2*C_F + (8*C_A)/3.;
static const double _const_Ibar_g__g_a2_l1_e3_plus0_nf0 = (4*C_A2*(-67 + 27*zeta_2))/9.;
static const double _const_Ibar_g__g_a2_l1_e3_plus0_nf1 = (40*C_A)/9.;
static const double _const_Ibar_g__g_a2_l2_e2_delta_nf0 = -8*C_A2*zeta_2;
static const double _const_Ibar_g__g_a2_l2_e2_plus0_nf0 = (22*C_A2)/3.;
static const double _const_Ibar_g__g_a2_l2_e2_plus0_nf1 = (-4*C_A)/3.;
static const double _const_Ibar_g__g_a2_l2_e2_plus1_nf0 = 16*C_A2;
static const double _const_Ibar_g__g_a3_l1_e5_delta_nf0 = (C_A3*(15022 - 204156*zeta_3 + 630*zeta_2*(-253 + 216*zeta_3) + 4455*zeta_4 + 77760*zeta_5))/972.;
static const double _const_Ibar_g__g_a3_l1_e5_delta_nf1 = (6507*C_A*C_F - 486*C_F2 + C_A2*(-2173 + 16272*zeta_2 + 18504*zeta_3 - 405*zeta_4))/486.;
static const double _const_Ibar_g__g_a3_l1_e5_delta_nf2 = (-594*C_F - C_A*(127 + 540*zeta_2 + 504*zeta_3))/486.;
static const double _const_Ibar_g__g_a3_l1_e5_plus0_nf0 = (C_A3*(-26974 + 15678*zeta_2 + 8712*zeta_3 - 10773*zeta_4))/81.;
static const double _const_Ibar_g__g_a3_l1_e5_plus0_nf1 = (-2*C_A*(2*C_A*(-167 + 65*zeta_2 - 28*zeta_3) + 3*C_F*(-55 + 48*zeta_3)))/9.;
static const double _const_Ibar_g__g_a3_l1_e5_plus0_nf2 = (-176*C_A)/81.;
static const double _const_Ibar_g__g_a3_l1_e5_plus1_nf0 = C_A3*(6464/27. - 224*zeta_3);
static const double _const_Ibar_g__g_a3_l1_e5_plus1_nf1 = (-896*C_A2)/27.;
static const double _const_Ibar_g__g_a3_l2_e4_delta_nf0 = -((C_A3*(187 + 1072*zeta_2 - 900*zeta_4))/9.);
static const double _const_Ibar_g__g_a3_l2_e4_delta_nf1 = (C_A*(33*C_F + C_A*(89 + 160*zeta_2)))/9.;
static const double _const_Ibar_g__g_a3_l2_e4_delta_nf2 = (-2*(5*C_A + 3*C_F))/9.;
static const double _const_Ibar_g__g_a3_l2_e4_plus0_nf0 = (2*C_A3*(30 + 11*zeta_2 + 72*zeta_3))/3.;
static const double _const_Ibar_g__g_a3_l2_e4_plus0_nf1 = (-4*C_A*(3*C_F + C_A*(3 + zeta_2)))/3.;
static const double _const_Ibar_g__g_a3_l2_e4_plus1_nf0 = (16*C_A3*(134 - 45*zeta_2))/9.;
static const double _const_Ibar_g__g_a3_l2_e4_plus1_nf1 = (-320*C_A2)/9.;
static const double _const_Ibar_g__g_a3_l3_e3_delta_nf0 = (-64*C_A3*zeta_3)/3.;
static const double _const_Ibar_g__g_a3_l3_e3_plus0_nf0 = (2*C_A3*(121 + 432*zeta_2))/27.;
static const double _const_Ibar_g__g_a3_l3_e3_plus0_nf1 = (-88*C_A2)/27.;
static const double _const_Ibar_g__g_a3_l3_e3_plus0_nf2 = (8*C_A)/27.;
static const double _const_Ibar_g__g_a3_l3_e3_plus2_nf0 = -32*C_A3;
static const double _const_Ibar_g__g_a4_l3_e5_delta_nf0 = (2*C_A4*(-2057 - 19296*zeta_3 + 12*zeta_2*(-755 + 828*zeta_3) + 8910*zeta_4))/81.;
static const double _const_Ibar_g__g_a4_l3_e5_delta_nf1 = (2*C_A2*(121*C_F + C_A*(451 + 1048*zeta_2 + 960*zeta_3 - 540*zeta_4)))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_delta_nf2 = (-8*C_A*(11*C_F + 4*C_A*(6 + 5*zeta_2)))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_delta_nf3 = (8*(5*C_A + 3*C_F))/81.;
static const double _const_Ibar_g__g_a4_l3_e5_plus0_nf0 = (4*C_A4*(715 + 4945*zeta_2 + 594*zeta_3 - 3780*zeta_4))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_plus0_nf1 = (-4*C_A2*(132*C_F + C_A*(317 + 764*zeta_2 + 108*zeta_3)))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_plus0_nf2 = (8*C_A*(12*C_F + C_A*(17 + 2*zeta_2)))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_plus1_nf0 = (-16*C_A4*(-755 + 297*zeta_2 + 324*zeta_3))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_plus1_nf1 = (32*C_A3*(-131 + 27*zeta_2))/27.;
static const double _const_Ibar_g__g_a4_l3_e5_plus1_nf2 = (320*C_A2)/27.;
static const double _const_Ibar_g__g_a4_l3_e5_plus2_nf0 = (32*C_A4*(-67 + 21*zeta_2))/3.;
static const double _const_Ibar_g__g_a4_l3_e5_plus2_nf1 = (320*C_A3)/3.;
static const double _const_Ibar_g__g_a4_l4_e4_delta_nf0 = (2*C_A4*(121*zeta_2 - 528*zeta_3 + 216*zeta_4))/27.;
static const double _const_Ibar_g__g_a4_l4_e4_delta_nf1 = (8*C_A3*(-11*zeta_2 + 24*zeta_3))/27.;
static const double _const_Ibar_g__g_a4_l4_e4_delta_nf2 = (8*C_A2*zeta_2)/27.;
static const double _const_Ibar_g__g_a4_l4_e4_plus0_nf0 = (C_A4*(1331 + 4752*zeta_2 + 6912*zeta_3))/81.;
static const double _const_Ibar_g__g_a4_l4_e4_plus0_nf1 = (-2*C_A3*(121 + 144*zeta_2))/27.;
static const double _const_Ibar_g__g_a4_l4_e4_plus0_nf2 = (44*C_A2)/27.;
static const double _const_Ibar_g__g_a4_l4_e4_plus0_nf3 = (-8*C_A)/81.;
static const double _const_Ibar_g__g_a4_l4_e4_plus1_nf0 = (-4*C_A4*(121 + 864*zeta_2))/27.;
static const double _const_Ibar_g__g_a4_l4_e4_plus1_nf1 = (176*C_A3)/27.;
static const double _const_Ibar_g__g_a4_l4_e4_plus1_nf2 = (-16*C_A2)/27.;
static const double _const_Ibar_g__g_a4_l4_e4_plus2_nf0 = (-176*C_A4)/3.;
static const double _const_Ibar_g__g_a4_l4_e4_plus2_nf1 = (32*C_A3)/3.;
static const double _const_Ibar_g__g_a4_l4_e4_plus3_nf0 = (128*C_A4)/3.;
static const double _const_Ibar_g__g_a5_l5_e5_delta_nf0 = (2*C_A5*(5*zeta_2*(1331 + 6912*zeta_3) - 24*(605*zeta_3 - 495*zeta_4 + 1728*zeta_5)))/405.;
static const double _const_Ibar_g__g_a5_l5_e5_delta_nf1 = (-4*C_A4*(121*zeta_2 - 176*zeta_3 + 72*zeta_4))/27.;
static const double _const_Ibar_g__g_a5_l5_e5_delta_nf2 = (8*C_A3*(11*zeta_2 - 8*zeta_3))/27.;
static const double _const_Ibar_g__g_a5_l5_e5_delta_nf3 = (-16*C_A2*zeta_2)/81.;
static const double _const_Ibar_g__g_a5_l5_e5_plus0_nf0 = (C_A5*(14641 + 43560*zeta_2 + 126720*zeta_3 - 25920*zeta_4))/405.;
static const double _const_Ibar_g__g_a5_l5_e5_plus0_nf1 = (-8*C_A4*(1331 + 1980*zeta_2 + 2880*zeta_3))/405.;
static const double _const_Ibar_g__g_a5_l5_e5_plus0_nf2 = (8*C_A3*(121 + 60*zeta_2))/135.;
static const double _const_Ibar_g__g_a5_l5_e5_plus0_nf3 = (-352*C_A2)/405.;
static const double _const_Ibar_g__g_a5_l5_e5_plus0_nf4 = (16*C_A)/405.;
static const double _const_Ibar_g__g_a5_l5_e5_plus1_nf0 = (-4*C_A5*(1331 + 9504*zeta_2 + 6912*zeta_3))/81.;
static const double _const_Ibar_g__g_a5_l5_e5_plus1_nf1 = (8*C_A4*(121 + 288*zeta_2))/27.;
static const double _const_Ibar_g__g_a5_l5_e5_plus1_nf2 = (-176*C_A3)/27.;
static const double _const_Ibar_g__g_a5_l5_e5_plus1_nf3 = (32*C_A2)/81.;
static const double _const_Ibar_g__g_a5_l5_e5_plus2_nf0 = (8*C_A5*(-121 + 288*zeta_2))/9.;
static const double _const_Ibar_g__g_a5_l5_e5_plus2_nf1 = (352*C_A4)/9.;
static const double _const_Ibar_g__g_a5_l5_e5_plus2_nf2 = (-32*C_A3)/9.;
static const double _const_Ibar_g__g_a5_l5_e5_plus3_nf0 = (1408*C_A5)/9.;
static const double _const_Ibar_g__g_a5_l5_e5_plus3_nf1 = (-256*C_A4)/9.;
static const double _const_Ibar_g__g_a5_l5_e5_plus4_nf0 = (-128*C_A5)/3.;


} // namespace NS_Ibar_G_Constants
} // namespace NS_Ibar
} // namespace CuTe

#endif // IBAR_G_CONSTANTS_H


